Page MenuHomePhabricator

[Task] Move WikidataBuildResources to gerrit
Closed, ResolvedPublic

Description

We should move https://github.com/wmde/WikidataBuildResources to gerrit.

this is an essential thing for our deployment process and we should not rely on a 3rd party for this.

If gerrit is down, then we can't deploy anyway but also can do something about fixing it. If github is down, then ....

Details

Related Gerrit Patches:

Event Timeline

aude created this task.Sep 2 2015, 12:36 PM
aude raised the priority of this task from to Normal.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 12:36 PM
aude added a comment.Jan 18 2016, 8:14 PM

requested a gerrit repo for this:

wikidata/build-resources

https://www.mediawiki.org/wiki/Git/New_repositories/Requests

Change 267240 had a related patch set uploaded (by Aude):
Update urls in README from github -> phabricator

https://gerrit.wikimedia.org/r/267240

Change 267242 had a related patch set uploaded (by Aude):
Update WikidataBuildResources git source (github -> gerrit)

https://gerrit.wikimedia.org/r/267242

aude claimed this task.Jan 29 2016, 1:19 PM
aude set Security to None.
aude moved this task from Backlog to Doing on the Wikidata-Sprint-2016-01-19 board.
aude added a comment.Jan 29 2016, 8:21 PM

still need to update vagrant to use gerrit for the build resources and need to add to CI config

Change 267240 merged by Addshore:
Update urls in README from github -> phabricator

https://gerrit.wikimedia.org/r/267240

Change 267864 had a related patch set uploaded (by Aude):
Update WikidataBuildResources to use git repo on gerrit

https://gerrit.wikimedia.org/r/267864

aude moved this task from Doing to Review on the Wikidata-Sprint-2016-02-02 board.Feb 3 2016, 9:21 PM

Change 268352 had a related patch set uploaded (by JanZerebecki):
add repo wikidata/build-resources

https://gerrit.wikimedia.org/r/268352

Moved the old github repo over the new one at wikimedia.

Need to enable puppet on wikidata-builder1 again once operation/puppet patch is merged.

Change 268352 merged by jenkins-bot:
add repo wikidata/build-resources

https://gerrit.wikimedia.org/r/268352

Change 267242 merged by Giuseppe Lavagetto:
Update WikidataBuildResources git source (github -> gerrit)

https://gerrit.wikimedia.org/r/267242

Need to enable puppet on wikidata-builder1 again once operation/puppet patch is merged.

Done.

Last one in this task:
https://gerrit.wikimedia.org/r/#/c/267864/

Change 267864 merged by jenkins-bot:
Update WikidataBuildResources to use git repo on gerrit

https://gerrit.wikimedia.org/r/267864

JanZerebecki closed this task as Resolved.Feb 8 2016, 6:26 PM
JanZerebecki moved this task from Review to Done on the Wikidata-Sprint-2016-02-02 board.